TKN-PIPELINERUN-LOGS(1)

NAME

tkn-pipelinerun-logs - Show the logs of a PipelineRun

SYNOPSIS

tkn pipelinerun logs

DESCRIPTION

Show the logs of a PipelineRun

OPTIONS

-a, --all[=false]
    show all logs including init steps injected by tekton

-E, --exit-with-pipelinerun-error[=false]
    exit with pipelinerun to the unix shell, 0 if success, 1 if error, 2 on unknown status

-f, --follow[=false]
    stream live logs

-F, --fzf[=false]
    use fzf to select a PipelineRun

-h, --help[=false]
    help for logs

-L, --last[=false]
    show logs for last PipelineRun

--limit=5
    lists number of PipelineRuns

--log-failed[=false]
    show logs for failed tasks only

--long[=false]
    show logs with task display name (display name and step name)

--prefix[=true]
    prefix each log line with the log source (task name and step name)

-t, --task=[]
    show logs for mentioned Tasks only

--timestamps[=false]
    show logs with timestamp

OPTIONS INHERITED FROM PARENT COMMANDS

-c, --context=""
    name of the kubeconfig context to use (default: kubectl config current-context)

-k, --kubeconfig=""
    kubectl config file (default: $HOME/.kube/config)

-n, --namespace=""
    namespace to use (default: from $KUBECONFIG)

-C, --no-color[=false]
    disable coloring (default: false)

EXAMPLE

Show the logs of PipelineRun named 'foo' from namespace 'bar':

    tkn pipelinerun logs foo -n bar

Show the logs of PipelineRun named 'microservice-1' for Task 'build' only from namespace 'bar':

    tkn pr logs microservice-1 -t build -n bar

Show the logs of PipelineRun named 'microservice-1' for all Tasks and steps (including init steps) from namespace 'foo':

    tkn pr logs microservice-1 -a -n foo

Show the logs of PipelineRun named 'microservice-1' for failed Tasks only from namespace 'bar':

    tkn pr logs microservice-1 --log-failed -n bar

SEE ALSO

tkn-pipelinerun(1)